summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wendler <polynomial-c@gentoo.org>2019-05-09 15:01:29 +0200
committerLars Wendler <polynomial-c@gentoo.org>2019-05-09 15:06:23 +0200
commit65fe0508c0d528a8ddbbb86545217b64919c3620 (patch)
tree460e33b62411a2781bb240a813613cf241cd3606 /sys-apps/man-pages
parentsys-devel/gettext: Bump to version 0.20 (diff)
downloadgentoo-65fe0508c0d528a8ddbbb86545217b64919c3620.tar.gz
gentoo-65fe0508c0d528a8ddbbb86545217b64919c3620.tar.bz2
gentoo-65fe0508c0d528a8ddbbb86545217b64919c3620.zip
sys-apps/man-pages: Bump to version 5.01
Package-Manager: Portage-2.3.66, Repoman-2.3.12 Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>
Diffstat (limited to 'sys-apps/man-pages')
-rw-r--r--sys-apps/man-pages/Manifest1
-rw-r--r--sys-apps/man-pages/man-pages-5.01.ebuild53
2 files changed, 54 insertions, 0 deletions
diff --git a/sys-apps/man-pages/Manifest b/sys-apps/man-pages/Manifest
index 9b76024e7936..4fa586ebdcad 100644
--- a/sys-apps/man-pages/Manifest
+++ b/sys-apps/man-pages/Manifest
@@ -1,3 +1,4 @@
DIST man-pages-4.16.tar.xz 1630064 BLAKE2B 7c436ebc01d5248378f40fa8f8004bd2e0760a8409b419d4d7aadf8f0075bfa9b89801172b328856ed0f0a70b75523a489957a9aacba66e893698bea1ac98efc SHA512 df282a0480e2c1cc74e4ba02d6ff02ba95886b6583058c737028ea609b916270ba7dcaf075e0c450fd4b49b335979765abfc7d0a75f5570eec5fa2381c10201c
DIST man-pages-5.00.tar.xz 1659648 BLAKE2B 7b4da6767613ad1453618e47a3cfaa4e2273600c4b55cac5290dd93db79fe61810bbaefdf0ee42c910824430beddca207228caa8466d19b65d1b401da742d0ba SHA512 7ab44d5c8ed06696e7c463ec5118305fada7a6d284fc38d32e0771faa3ff12b74a8b696f9577481a0d1d2c7f1e5e78a21a72d80d2f34bd50955622b226b39fa2
+DIST man-pages-5.01.tar.xz 1662512 BLAKE2B e2b77aea38eaed44fcefbfc21a59ae3f972901a055d3491effda286f0ef7cd8d1e32b4a610707c5ba8ad18ac7d5ff81df4927f7c68c99f54753af49b40c07f17 SHA512 0f95198e230fe28da2821c931f0078adf67bc4d92434b4da5e67dcfe3b462fd22b3268b7c0b9385603f0bfa7aa273c97ae152edd2b6f6975b9199b6e73e1f457
DIST man-pages-gentoo-2.tar.bz2 5141 BLAKE2B c5c7956ab47c8a473e258b1902d5d19d9eb2e9d01786e907d9c3ba691c2a506834ed96cd1f54e8d8415e65d4fea0056659537f0faffe68fcbed33aa728a5e61e SHA512 6e6524b8ad6f1b8c9b147665ee32af49e05603dac61d433acd6b4f1164adef27cd542898f272b07d8659725013dac59c7f34a858968cc054a4785c945e14a770
diff --git a/sys-apps/man-pages/man-pages-5.01.ebuild b/sys-apps/man-pages/man-pages-5.01.ebuild
new file mode 100644
index 000000000000..16630251062d
--- /dev/null
+++ b/sys-apps/man-pages/man-pages-5.01.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+GENTOO_PATCH=2
+
+DESCRIPTION="A somewhat comprehensive collection of Linux man pages"
+HOMEPAGE="https://www.kernel.org/doc/man-pages/"
+SRC_URI="mirror://kernel/linux/docs/man-pages/Archive/${P}.tar.xz
+ mirror://kernel/linux/docs/man-pages/${P}.tar.xz
+ mirror://gentoo/man-pages-gentoo-${GENTOO_PATCH}.tar.bz2
+ https://dev.gentoo.org/~cardoe/files/man-pages-gentoo-${GENTOO_PATCH}.tar.bz2"
+
+LICENSE="man-pages GPL-2+ BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sh ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE_L10N=" da de fr it ja nl pl ru zh-CN"
+IUSE="nls ${IUSE_L10N// / l10n_}"
+RESTRICT="binchecks"
+
+# Block packages that used to install colliding man pages #341953 #548900 #612640 #617462
+RDEPEND="virtual/man
+ !<sys-apps/keyutils-1.5.9-r4
+ !<sys-apps/attr-2.4.47-r2
+ !<dev-libs/libaio-0.3.109-r2
+ !<dev-libs/libbsd-0.8.3-r1"
+PDEPEND="nls? (
+ l10n_da? ( app-i18n/man-pages-da )
+ l10n_de? ( app-i18n/man-pages-de )
+ l10n_fr? ( app-i18n/man-pages-fr )
+ l10n_it? ( app-i18n/man-pages-it )
+ l10n_ja? ( app-i18n/man-pages-ja )
+ l10n_nl? ( app-i18n/man-pages-nl )
+ l10n_pl? ( app-i18n/man-pages-pl )
+ l10n_ru? ( app-i18n/man-pages-ru )
+ l10n_zh-CN? ( app-i18n/man-pages-zh_CN )
+ )
+ sys-apps/man-pages-posix"
+
+src_configure() { :; }
+
+src_compile() { :; }
+
+src_install() {
+ emake install prefix="${EPREFIX}/usr" DESTDIR="${D}"
+ dodoc man-pages-*.Announce README Changes*
+
+ # Override with Gentoo specific or additional Gentoo pages
+ cd "${WORKDIR}"/man-pages-gentoo || die
+ doman */*
+ dodoc README.Gentoo
+}